Redmine - Feature #4730

Add Closed Date to Issue Filter
2010-02-03 18:03 - Mark P

Status: Closed
Priority: Normal
Assignee:

Category: Issues

Target version:

Resolution: Fixed

Start date: 2010-02-03
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

| can query/filter issues by created, updated, and due dates. However, | cannot query by when the issue was actually closed. | know
this information appears to be stored in journals and journal_details rather than issues table, which may make this a tad more
complex. | have tried to write custom SQL for this myself, but | am not getting results that match the information on the History

section of an issue.

Related issues:

Blocked by Redmine - Feature #824: Add "closed_on" issue field (storing time ... Closed 2008-03-10

History

#1 - 2010-02-03 18:05 - Mark P

This request is similar to the forum entry here: http://www.redmine.org/boards/2/topics/9513

#2 - 2011-05-10 05:20 - Matheus Ashton Silva

http://www.redmine.org/plugins/closed_date

#3 - 2013-02-17 02:04 - Mischa The Evil
- Category set to Issues
- Status changed from New to Closed

- Resolution set to Fixed

"Closed" (closed_on) field that stores the time of the last closing, while preserving the value when reopening an issue, is added in r11402. It has been
made available as a column and filter on the issue list in r11403. Both were done on #824 which will be part of Redmine 2.3.0.

This means that the feature requested in this specific issue is implemented, hence closing this issue as such.

2025-05-05

1/1



http://www.redmine.org/boards/2/topics/9513
http://www.redmine.org/plugins/closed_date
https://www.redmine.org/projects/redmine/repository/svn/revisions/11402
https://www.redmine.org/projects/redmine/repository/svn/revisions/11403
https://www.redmine.org/issues/824
https://www.redmine.org/versions/60
http://www.tcpdf.org

